Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454508 - REGRESSION nfs-utils-lib update broke rpcidmapd
Summary: REGRESSION nfs-utils-lib update broke rpcidmapd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils-lib
Version: 9
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 21:22 UTC by Warren Togami
Modified: 2008-07-26 06:01 UTC (History)
1 user (show)

Fixed In Version: 1.1.1-5.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-17 14:18:51 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-07-08 21:22:53 UTC
nfs-utils-lib-1.1.1-3.fc9 (F9)
nfs-utils-lib-1.1.1-4.fc9 (F9 update)

This update broke service rpcidmapd start with default configurations.

/var/log/messages says:
Jul  8 17:16:03 newcaprica rpc.idmapd[886]: libnfsidmap: Unable to determine a
default nfsv4 domain; consider specifying one in idmapd.conf

#Domain = local.domain.edu

Uncommenting this line seems to allow the service to start.  In fact, Domain =
anything allows the service to start.

Comment 1 Steve Dickson 2008-07-08 21:43:25 UTC
The syslog entry Warren was seeing was:

Jul  8 17:16:03 newcaprica rpc.idmapd[886]: libnfsidmap: Unable to determine a
default nfsv4 domain; consider specifying one in idmapd.conf

Comment 2 Fedora Update System 2008-07-11 18:54:50 UTC
nfs-utils-lib-1.1.1-5.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-07-15 12:20:30 UTC
nfs-utils-lib-1.1.1-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfs-utils-lib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6337

Comment 4 Fedora Update System 2008-07-17 14:18:49 UTC
nfs-utils-lib-1.1.1-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-07-26 06:01:42 UTC
nfs-utils-lib-1.1.1-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.